org.eclipse.actf.model.flash.proxy

## Class FlashCacheUtil

- java.lang.Object
- - org.eclipse.actf.model.flash.proxy.FlashCacheUtil

    public class FlashCacheUtil
    extends Object

The utilities to control Internet cache to access object model of Flash content.

### Field Summary

Fields
`static boolean` `cacheChecked`

### Constructor Summary

Constructors
Constructor and Description
`FlashCacheUtil()`

### Method Summary

Methods
`static void` `checkCache()` This method shows a dialog to confirm users' preference for cache clear.
`static void` `clearCache(boolean background, org.eclipse.ui.IWorkbenchWindow window)` Method to clear SWF cache
`static void` `clearCacheForStartup()` This method clears Internet cache in background if users select "Remove cache without confirmation" option in the preference.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cacheChecked

    public static boolean cacheChecked

### Constructor Detail

#### FlashCacheUtil

    public FlashCacheUtil()

### Method Detail

#### checkCache

    public static void checkCache()

This method shows a dialog to confirm users' preference for cache clear. If users already selected the "Remove cache without confirmation" option in the preference, this method will start to remove cache. If users select "Do not clear the cache", this method will not remove cache. This method should be called after application launch (postWindowOpen phase in WorkbenchWindowAdvisor).

#### clearCacheForStartup

    public static void clearCacheForStartup()

This method clears Internet cache in background if users select "Remove cache without confirmation" option in the preference. It is useful to clear cache in preWindowOpen phase in WorkbenchWindowAdvisor.

#### clearCache

    public static void clearCache(boolean background,
                  org.eclipse.ui.IWorkbenchWindow window)

Method to clear SWF cache

Parameters:
  `background` - background processing flag
  `window` - active WorkbenchWindow for progress dialog. use null for silent mode.